Package org.eclipse.emf.spi.cdo

## Class CDOSessionProtocol.RefreshSessionResult

- java.lang.Object
- - org.eclipse.emf.spi.cdo.CDOSessionProtocol.RefreshSessionResult

- Enclosing interface:
    CDOSessionProtocol

      public static final class CDOSessionProtocol.RefreshSessionResult
      extends java.lang.Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `CDOSessionProtocol.RefreshSessionResult.Provider` | If the meaning of this type isn't clear, there really should be more of a description here...

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RefreshSessionResult​(long lastUpdateTime)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addChangedObject​(InternalCDORevision revision)` |
    `void` | `addDetachedObject​(CDORevisionKey revision)` |
    `void` | `addPackageUnit​(CDOPackageUnit packageUnit)` |
    `java.util.List<InternalCDORevision>` | `getChangedObjects​(CDOBranch branch)` |
    `java.util.List<CDOIDAndVersion>` | `getDetachedObjects​(CDOBranch branch)` |
    `long` | `getLastUpdateTime()` |
    `java.util.List<CDOPackageUnit>` | `getPackageUnits()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RefreshSessionResult

          public RefreshSessionResult​(long lastUpdateTime)

  - ### Method Detail

    - #### getLastUpdateTime

          public long getLastUpdateTime()

    - #### getPackageUnits

          public java.util.List<CDOPackageUnit> getPackageUnits()

    - #### getChangedObjects

          public java.util.List<InternalCDORevision> getChangedObjects​(CDOBranch branch)

    - #### getDetachedObjects

          public java.util.List<CDOIDAndVersion> getDetachedObjects​(CDOBranch branch)

    - #### addPackageUnit

          public void addPackageUnit​(CDOPackageUnit packageUnit)

    - #### addChangedObject

          public void addChangedObject​(InternalCDORevision revision)

    - #### addDetachedObject

          public void addDetachedObject​(CDORevisionKey revision)